# Updates

### Trailers

{% embed url="<https://youtu.be/vDc8Xc22ZJE>" %}
***1.2 update trailer***
{% endembed %}

### Update history

<details>

<summary>Update 1.3.9</summary>

* Bug fix

</details>

<details>

<summary>Update 1.3.8</summary>

* Bug fix

</details>

<details>

<summary>Update 1.3.7</summary>

* Bug fix

</details>

<details>

<summary>Update 1.3.6</summary>

* Bug fix

</details>

<details>

<summary>Update 1.3.5</summary>

Introduced expermiental features:\
• client & server debug messages\
• Synchronization for joining players - [check tutorials](/scripts/pc_airdrop/tutorials.md#other-tutorials)

</details>

<details>

<summary>Update 1.3.4</summary>

* Target system (ox\_target/qTarget etc.) functions has been moved to client utils so you can integrate other systems or customize existing ones.

</details>

<details>

<summary>Update 1.3.3</summary>

* Airdrop spawn function will now accept arguments - [check tutorials](/scripts/pc_airdrop/tutorials.md#other-tutorials)

</details>

<details>

<summary>Update 1.3.2</summary>

</details>

<details>

<summary>Update 1.3.1</summary>

• Fixed a bug that blocked opening the airdrop again after the first time (when using target\&ox\_inventory) \
• Added new config option Config.RemoveWhenEmpty that removes the airdrop after all the items has been collected (when using ox\_inventory) \
• Added `["airdrop_remove_items"]` to `translations.lua`

</details>

<details>

<summary>Update 1.3</summary>

• Added blips to utils \
• Added ox\_inventory integration to utils \
• Improved both client & server side code for reliability, performance and security \
• Refactored most of the code for faster future update developement \
• Official QBCore & qb-target support \
• New (optional) notification containing airdrop name and location name \
• Added (optional) min/max item count (amount will be chosen at random between them) \
• Added option to give player weapons while not using ox\_inventory or other "weapons as items" system \
• Added automatic check for pc\_notifications, now you don't need to remove anything if you don't use it

</details>

<details>

<summary>Update 1.2</summary>

* Added a plane that flies by and drops the crate.
* Added ox\_inventory integration.
* Added qTarget/ox\_arget integration.
* Added custom functions triggered by different events (utils/client.lua).
* Added config/translations.lua file and the option to translate discord logs.
* Added the ability to change crate/parachute/plane/pilot model.
* Added the option to lock airdrop for a set period of time after it falls/spawns.
* Added the option to remove the airdrop from the map after a set period of time.
* Lots of bug fixes and optimizations.
* Restructure of folders and files to make it more clear.

</details>

<details>

<summary>Update 1.1</summary>

* Added 4 new config options regarding spawning the airdrop directly on the ground (without falling).
* Added a new collision request that should fix the error where the airdrop gets stuck in the air.
* New error handlers, if you experience any bugs there's a high chance it will show up in the F8 console.
* Minor code cleanup.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.poisoncode.com/scripts/pc_airdrop/updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
